LLM
curl --request POST \
--url https://dream-gateway.livepeer.cloud/llm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"model": "",
"temperature": 0.7,
"max_tokens": 256,
"top_p": 1,
"top_k": -1,
"stream": false
}
'import requests
url = "https://dream-gateway.livepeer.cloud/llm"
payload = {
"messages": [
{
"role": "<string>",
"content": "<string>"
}
],
"model": "",
"temperature": 0.7,
"max_tokens": 256,
"top_p": 1,
"top_k": -1,
"stream": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [{role: '<string>', content: '<string>'}],
model: '',
temperature: 0.7,
max_tokens: 256,
top_p: 1,
top_k: -1,
stream: false
})
};
fetch('https://dream-gateway.livepeer.cloud/llm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"model": "<string>",
"created": 123,
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123
},
"choices": [
{
"index": 123,
"finish_reason": "",
"delta": {
"role": "<string>",
"content": "<string>"
},
"message": {
"role": "<string>",
"content": "<string>"
}
}
]
}{
"detail": {
"msg": "<string>"
}
}{
"detail": {
"msg": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": {
"msg": "<string>"
}
}AI API
LLM
LLM for Livepeer gateways.
POST
/
llm
LLM
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on May 18, 2026
Was this page helpful?
⌘I